# Package name
name: poac
# Package version
version: 0.1.2
# 98, 03, 11(Include TR1), 14, 17, 20
cpp_version: 17
description: "poac is a package manager for C++"
# It must be the same as the user name
#  of the poac.pm account your created
owners:
  - matken11235
license: GPL-3.0
links:
  homepage: "https://poac.io"
  github: "https://github.com/poacpm/poac"

# Describe deps as dependencies
# Writing latest will automatically
#  fetch the latest package
deps:
  boost/predef: ">=1.64.0 and <1.70.0"
  boost/property_tree: ">=1.64.0 and <1.70.0"
  boost/filesystem: ">=1.64.0 and <1.70.0"
  boost/range: ">=1.64.0 and <1.70.0"
  boost/algorithm: ">=1.64.0 and <1.70.0"
  boost/foreach: ">=1.64.0 and <1.70.0"
  boost/dynamic_bitset: ">=1.64.0 and <1.70.0"
  boost/beast: ">=1.64.0 and <1.70.0"
  github/jbeder/yaml-cpp:
    tag: yaml-cpp-0.6.2
    build: cmake
    link: static
  cpp-shell-cmd: ">=0.0.1 and <1.0.0"

# If nothing is specified, it is regarded as header only library
build:
  system: poac
  # Enable binary install (for CLI application)
  #  when you use poac as system.
  bin: true
#  lib: true # Generate library from src/* .
  compile_args:
    - "-pthread"
  link_args:
    - "-pthread"

test:
  framework: boost # or google
  args:
    - "--log_level=test_suite"
